<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/09/2008 *
 * ===============                              Last change: 09/09/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : load_cache-config.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Load more cache files                            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mehr Cache-Dateien nachladen                     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Next cached table is the referral system (refsystem)...
if ($cacheInstance->cache_file("refsystem", true) == true) {
	// Load referral system from cache
	global $cacheArray;
	$cacheArray['ref_system'] = $cacheInstance->cache_load();
} elseif (($_CONFIG['cache_refsys'] == "Y") && ($CSS != "1") && ($CSS != "-1")) {
	// Create cache file here
	$cacheInstance->cache_init("refsystem");

	// Load all modules and their data
	$result = SQL_QUERY("SELECT id, userid, level, counter FROM "._MYSQL_PREFIX."_refsystem ORDER BY userid, level", __FILE__, __LINE__);
	while ($data = SQL_FETCHARRAY($result)) {
		// Add row to cache file
		$cacheInstance->add_row($data);
	} // END - while

	// Free memory
	SQL_FREERESULT($result);

	// Close the cache
	$cacheInstance->cache_close();

	// Reload the cache
	require(__FILE__);
}

// Close file
$cacheInstance->cache_close();

//
?>
