<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 05/23/2004 *
 * ===============                              Last change: 11/22/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : birthday_mails.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Sends out birthday mails                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Versendet Geburtstagsmails                       *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif ((!EXT_IS_ACTIVE("birthday")) && (!IS_ADMIN())) {
	ADD_FATAL(EXTENSION_PROBLEM_EXT_INACTIVE, "birthday");
	return;
}

// Do not execute when script is in CSS mode
if ($CSS == 1) return;

// Get current day (01 to 31), month (01 to 12) and year (4-digits year)
$DAY   = date("d", time());
$MONTH = date("m", time());
$YEAR  = date('Y', time());

// Shall I include only active members?
$ADD = "%s"; $VALUE = "";
if (($_CONFIG['birthday_active']) && (EXT_IS_ACTIVE("autopurge")) && ($_CONFIG['ap_inactive'] == "Y") && ($_CONFIG['ap_inactive_since'] > 0)) {
	$ADD = " AND last_online >= (UNIX_TIMESTAP() - %s)";
	$VALUE = $_CONFIG['ap_inactive_since'];
}

// Only confirmed members shall receive birthday mails...
$result_birthday = SQL_QUERY_ESC("SELECT userid, email, birth_year
FROM "._MYSQL_PREFIX."_user_data
WHERE status='CONFIRMED' AND birth_day=%s AND birth_month=%s AND birthday_sent < (UNIX_TIMESTAMP() - ".(ONE_DAY * 364).")".$ADD."
ORDER BY userid",
 array($DAY, $MONTH, $VALUE), __FILE__, __LINE__);

if (SQL_NUMROWS($result_birthday) > 0) {
	// Start sending out birthday mails
	while (list($uid, $email, $byear) = SQL_FETCHROW($result_birthday)) {
		// Calculate own timestamp for birthday and today
		$BD  = $byear + 12 * $MONTH + 365 * $DAY;
		$NOW = $YEAR  + 12 * $MONTH + 365 * $DAY;

		// Simply subtract both values and you got the age... :)
		$AGE = $NOW - $BD;

		if ($_CONFIG['birthday_points'] > 0) {
			// Prepare array for loading template
			$content = array(
				'age'    => $AGE,
				'points' => $_CONFIG['birthday_points'],
				'check'  => "",
			);

			for ($idx = 0; $idx < 4; $idx++) {
				$content['check'] .= GEN_RANDOM_CODE("8", rand(0, "$MONTH$DAY"), $uid, ($AGE*($idx+1)));
			}

			// Insert row into database
			$result_insert = SQL_QUERY_ESC("INSERT INTO "._MYSQL_PREFIX."_user_birthday (userid, points, chk_value) VALUES ('%s', '%s', '%s' )",
			 array(bigintval($uid), $_CONFIG['birthday_points'], $content['check']), __FILE__, __LINE__);

			// Load email template with confirmation link
			$msg = LOAD_EMAIL_TEMPLATE("member_birthday_confirm", $content, bigintval($uid));
		} else {
			// Load default email template and fill in the age
			$msg = LOAD_EMAIL_TEMPLATE("member_birthday", $AGE, $uid);
		}

		// Send email
		SEND_EMAIL($email, HAPPY_BIRTHDAY, $msg);

		// Remember him that he has received a birthday mail
		$result_bd = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_user_data SET birthday_sent=UNIX_TIMESTAMP() WHERE userid=%s LIMIT 1",
		 array(bigintval($uid)), __FILE__, __LINE__);
	}

	// Free memory
	SQL_FREERESULT($result);
}

//
?>
