<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/31/2008 *
 * ================                             Last change: 08/31/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_surfbar.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Configuration for surfbar                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Konfiguration fuer Surfbar                       *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!is_admin())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

// Was the form submitted?
if (isset($_POST['ok'])) {
	// Replace german decimal comma with computer decimal dot
	if (isset($_POST['surfbar_static_reward']))   $_POST['surfbar_static_reward']   = str_replace(",", ".", $_POST['surfbar_static_reward']);
	if (isset($_POST['surfbar_dynamic_percent'])) $_POST['surfbar_dynamic_percent'] = str_replace(",", ".", $_POST['surfbar_dynamic_percent']);

	// Save settings
	ADMIN_SAVE_SETTINGS($_POST);
} else {
	// Prepare content
	$content = array(
		'surfbar_static_reward'   => TRANSLATE_COMMA($_CONFIG['surfbar_static_reward']),
		'surfbar_static_costs'    => TRANSLATE_COMMA($_CONFIG['surfbar_static_costs']),
		// @TODO Rewrite this to tiny selection boxes
		'surfbar_static_time'     => $_CONFIG['surfbar_static_time'],
		// @TODO Rewrite this to tiny selection boxes
		'surfbar_restart_time'    => $_CONFIG['surfbar_restart_time'],
		'surfbar_static_lock'     => $_CONFIG['surfbar_static_lock'],
		'surfbar_dynamic_percent' => TRANSLATE_COMMA($_CONFIG['surfbar_dynamic_percent']),
		'surfbar_max_order'       => $_CONFIG['surfbar_max_order'],
		// @TODO Rewrite this to tiny selection boxes
		'surfbar_stats_reload'    => $_CONFIG['surfbar_stats_reload']
	);

	// Prepare payment model for template
	if ($_CONFIG['surfbar_pay_model'] == "STATIC") {
		// Static model
		define('__CONFIG_SURFBAR_PAY_MODEL_STATIC' , " checked=\"checked\"");
		define('__CONFIG_SURFBAR_PAY_MODEL_DYNAMIC', "");
	} else {
		// Dynamic model
		define('__CONFIG_SURFBAR_PAY_MODEL_STATIC' , "");
		define('__CONFIG_SURFBAR_PAY_MODEL_DYNAMIC', " checked=\"checked\"");
	}

	// Prepare auto-sart
	if ($_CONFIG['surfbar_autostart'] == "Y") {
		// Yes selected
		define('__CONFIG_SURFBAR_AUTOSTART_Y' , " checked=\"checked\"");
		define('__CONFIG_SURFBAR_AUTOSTART_N', "");
	} else {
		// No selected
		define('__CONFIG_SURFBAR_AUTOSTART_Y' , "");
		define('__CONFIG_SURFBAR_AUTOSTART_N', " checked=\"checked\"");
	}

	// Load template
	LOAD_TEMPLATE("admin_config_surfbar", false, $content);
}

//
?>
